Description

Hi,

I am unable to run Kringing functions from SAGA (Processing toolbox) apparently due to wrong/old options being used under the hood.

The messages I get are:

Oooops! The following output layers could not be open

Grid: /tmp/processing/c0f434bbecc3435aaff4043f25fbb5d6/GRID.tif

Variance: /tmp/processing/4d1dc090b0ba4352a55e78d8e3a38edf/VARIANCE.tif

However, on closer inspection of the log messages the following shows up:

##################################################

Algorithm Ordinary kriging starting...

geostatistics_kriging "Ordinary Kriging" -SHAPES "/home/marius/data/gis/temp/dem_sample_val.shp" -FIELD "dem" -BVARIANCE

-TARGET 0 -MODEL 0 -BLOCK -DBLOCK 100 -BLOG -NUGGET 0 -SILL 10 -RANGE 100 -LIN_B 1 -EXP_B 0.1 -POW_A 1 -POW_B

0.5 -MAXRADIUS 1000 -NPOINTS_MIN 4 -NPOINTS_MAX 20 -USER_CELL_SIZE 9.3e-05 -USER_FIT_EXTENT

-USER_X_EXTENT_MIN -95.862751597 -USER_X_EXTENT_MAX -95.3336454213 -USER_Y_EXTENT_MIN 30.5063046258

-USER_Y_EXTENT_MIN 30.7779041076 -GRID "/tmp/processing/c0f434bbecc3435aaff4043f25fbb5d6/GRID.tif.sgrd" -VARIANCE

"/tmp/processing/4d1dc090b0ba4352a55e78d8e3a38edf/VARIANCE.tif.sgrd" 

io_gdal 1 -GRIDS "/tmp/processing/c0f434bbecc3435aaff4043f25fbb5d6/GRID.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/c0f434bbecc3435aaff4043f25fbb5d6/GRID.tif"-TRANSFORM

io_gdal 1 -GRIDS "/tmp/processing/4d1dc090b0ba4352a55e78d8e3a38edf/VARIANCE.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE

"/tmp/processing/4d1dc090b0ba4352a55e78d8e3a38edf/VARIANCE.tif"-TRANSFORM

Unknown option 'SHAPES'

library path: /usr/local/lib/saga/libgeostatistics_kriging.so

library name: Spatial and Geostatistics - Kriging

module name : Ordinary Kriging

author : O.Conrad (c) 2008

_____________________________________

Usage: saga_cmd -POINTS [-ZFIELD ] [-TARGET ] [-TQUALITY ] [-LOG] [-BLOCK] [-DBLOCK ] [-VAR_MAXDIST ] [-VAR_NCLASSES

] [-VAR_NSKIP ] [-VAR_MODEL ] [-SEARCH_RANGE ] [-SEARCH_RADIUS ] [-SEARCH_POINTS_ALL ] [-SEARCH_POINTS_MIN ]

[-SEARCH_POINTS_MAX ] [-SEARCH_DIRECTION ] [-USER_BVARIANCE] [-USER_XMIN ] [-USER_XMAX ] [-USER_YMIN ]

[-USER_YMAX ] [-USER_SIZE ] [-USER_FIT ] [-USER_GRID ] [-USER_VARIANCE ] [-GRID_GRID ] [-GRID_VARIANCE ]

###################################################

This is with SAGA 2.1, QGIS 2.1.0-Master e04b426. I am having an identical issue on the Windows 7 64bit machine with standalone
installer QGIS 2.0.1-2 and OSGEO4W installer.

When I try to run the command in a prompt by replacing SHAPES with POINTS additional options seem to be outdated (FIELD becomes

ZFIELD, and so on).

History

#1 - 2013-10-17 12:42 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

I will have a look at it.

#2 - 2013-10-17 05:16 AM - Giovanni Manghi

- Status changed from Open to In Progress

I made a pull request that fixes it, the module changed almost completely since SAGA 2.0.8 (or at least have changed most of the parameters names).

#3 - 2013-11-06 07:58 PM - Marius Jigmond

Just updated from master and on Ubuntu the Kriging seems to work with SAGA 2.1. Do you know if the changes are going to make it into one of the 2.0.x

Windows installers or will it have to wait until 2.1.x series? Thanks for the quick fix.

#4 - 2013-11-07 12:35 AM - Filipe Dias

You can install an updated version of Processing via the Plugin installer in QGIS 2.0.1.

#5 - 2013-11-07 01:50 AM - Giovanni Manghi

- Status changed from In Progress to Closed

- Resolution set to fixed/implemented

#6 - 2015-06-07 04:30 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
